package com.ycwl.basic.controller.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.device.req.DeviceAddOrUpdateReq;
import com.ycwl.basic.model.pc.device.req.DeviceReqQuery;
import com.ycwl.basic.model.pc.device.resp.DeviceRespVO;
import com.ycwl.basic.service.pc.DeviceService;
import com.ycwl.basic.utils.ApiResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 16:13
 */
@RestController
@RequestMapping("/api/device/v1")
@Api(tags = "设备管理")
public class DeviceController {
    @Autowired
    private DeviceService deviceService;

    @ApiOperation("分页查询")
    @PostMapping("/page")
    public ApiResponse<PageInfo<DeviceRespVO>> pageQuery(@RequestBody DeviceReqQuery deviceReqQuery) {
        return deviceService.pageQuery(deviceReqQuery);
    }
    @ApiOperation("列表查询")
    @PostMapping("/list")
    public ApiResponse list(@RequestBody DeviceReqQuery deviceReqQuery) {
        return deviceService.list(deviceReqQuery);
    }
    @ApiOperation("详情查询")
    @GetMapping("/getDetails/{id}")
    public ApiResponse<DeviceRespVO> getDetails(@PathVariable("id") Long id) {
        return deviceService.getById(id);
    }
    @ApiOperation("新增或修改")
    @PostMapping("/addOrUpdate")
    public ApiResponse addOrUpdate(@RequestBody DeviceAddOrUpdateReq deviceReqQuery) {
        return deviceService.addOrUpdate(deviceReqQuery);
    }
    @ApiOperation("删除")
    @DeleteMapping("/delete/{id}")
    public ApiResponse delete(@PathVariable("id") Long id) {
        return deviceService.deleteById(id);
    }
    @ApiOperation("修改状态")
    @PutMapping("/updateStatus/{id}")
    public ApiResponse updateStatus(@PathVariable("id") Long id) {
        return deviceService.updateStatus(id);
    }
}
