package com.ycwl.basic.controller.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.order.req.OrderReqQuery;
import com.ycwl.basic.model.pc.order.resp.OrderRespVO;
import com.ycwl.basic.service.pc.OrderService;
import com.ycwl.basic.utils.ApiResponse;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 13:49
 */
@RestController
@RequestMapping("/api/order/v1")
@Api(tags = "订单管理")
public class OrderController {

    @Autowired
    private OrderService orderService;

    @PostMapping("page")
    public ApiResponse<PageInfo<OrderRespVO>> pageQuery(@RequestBody OrderReqQuery query) {
        return orderService.pageQuery(query);
    }

    @PostMapping("list")
    public ApiResponse<List<OrderRespVO>> list(@RequestBody OrderReqQuery query) {
        return orderService.list(query);
    }
    @GetMapping("detail/{id}")
    public ApiResponse<OrderRespVO> detail(@PathVariable("id") Long orderId) {
        return orderService.detail(orderId);
    }

}
